const VARIABLE_ID = '{{ id }}';

const INFO = '/info';
const TEMPERATURE = '/temperature';

const BANKS = '/banks';
const PEDALBOARDS = '/pedalboards';
const PEDALS = '/pedals';
const BYPASS = '/bypass';
const MIDI = '/midi';
const SYSTEMD = '/systemd';

exports.SYSTEMD_STATE_ACTIVE = 'active';
exports.SYSTEMD_STATE_INACTIVE = 'inactive';
exports.SYSTEMD_STATE_TOGGLE = 'toggle';

exports.VARIABLE_ID = VARIABLE_ID;

exports.HTTP_GET = 'GET';
exports.HTTP_POST = 'POST';

exports.API_INFO = INFO;
exports.API_TEMPERATURE = TEMPERATURE;
exports.API_BANKS = BANKS;
exports.API_BANKS_BY_ID = BANKS + '/' + VARIABLE_ID;
exports.API_PEDALBOARDS = PEDALBOARDS;
exports.API_PEDALBOARDS_DEFAULT = PEDALBOARDS + '/default';
exports.API_PEDALBOARDS_CURRENT = PEDALBOARDS + '/current';
exports.API_PEDALBOARDS_BY_ID = PEDALBOARDS + '/' + VARIABLE_ID;
exports.API_PEDALS = PEDALS;
exports.API_PEDAL_BY_ID = PEDALS + '/' + VARIABLE_ID;
exports.API_BYPASS = BYPASS;
exports.API_BYPASS_BY_ID = BYPASS + '/' + VARIABLE_ID;
exports.API_MIDI = MIDI;
exports.API_SYSTEMD = SYSTEMD;

exports.CACHE_INFO = "info";
exports.CACHE_BANKS = "banks";
exports.CACHE_PEDALBOARDS = "pedalboards";
exports.CACHE_PEDALBOARD_DEFAULT = "pedalboard_default";
exports.CACHE_PEDALBOARD_CURRENT = "pedalboard_current";
exports.CACHE_PEDALS = "pedals";

exports.PEDALBOARD_DEFAULT = '/var/modep/pedalboards/default.pedalboard';

exports.CONTROL_BYPASS = ':bypass';